%define nm_version 0.9.8
%define novellvpn 0
%define pptp 1
%define strongswan 0
%define openvn 1
%define vpnc 1
%define openconnect 1
%define rel 3

Name:    networkmanagement
Summary: KDE NetworkManager
Version: 0.9.0.9
Release: %mkrel %{rel}
Epoch:   1
Group:   Graphical desktop/KDE
License: (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and LGPLv2 
URL:     https://projects.kde.org/projects/extragear/base/networkmanagement
Source0: http://download.kde.org/unstable/networkmanagement/%{version}/src/%{name}-%{version}.tar.bz2
Patch0:  networkmanagement-0.9-useversion.patch
BuildRequires: pkgconfig(libnm-glib) >= %nm_version
BuildRequires: mobile-broadband-provider-info
BuildRequires: kdebase4-workspace-devel
%if %openconnect
BuildRequires:  openconnect-devel >= 3.99
%endif

%description
Networkmanagement is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

#--------------------------------------------------------------------

%package -n plasma-applet-networkmanagement
Summary:  NetworkManager plasma applet
Group:    Graphical desktop/KDE
Requires: kdebase4-workspace
Requires: networkmanager >= %nm_version
Obsoletes: knetworkmanager-common < 1:0.9.0.9
Conflicts: knetworkmanager-common < 1:0.9.0.9
Obsoletes: knetworkmanager < 1:0.9.0.9

%description -n plasma-applet-networkmanagement 
Network Management Plasma applet for controlling network
connections on systems that use the NetworkManager service.

%files -n plasma-applet-networkmanagement -f plasma_applet_networkmanagement.lang

%{_kde_appsdir}/networkmanagement/
%{_kde_appsdir}/desktoptheme/default/icons/network2.svgz
%{_kde_iconsdir}/oxygen/*/*/*
%{_kde_libdir}/kde4/kcm_networkmanagement.so
%{_kde_libdir}/kde4/libexec/networkmanagement_configshell
%{_kde_libdir}/kde4/solid_modemmanager05.so
%{_kde_libdir}/kde4/plasma_applet_networkmanagement.so
%{_kde_libdir}/kde4/plasma_engine_networkmanagement.so
%{_kde_libdir}/kde4/kded_networkmanagement.so
%{_kde_libdir}/kde4/solid_networkmanager09.so
%{_kde_libdir}/kde4/kcm_networkmanagement_tray.so
%{_kde_services}/solidbackends/solid_modemmanager05.desktop
%{_kde_services}/solidbackends/solid_networkmanager09.desktop
%{_kde_services}/plasma-applet-networkmanagement.desktop
%{_kde_services}/plasma-engine-networkmanagement.desktop
%{_kde_services}/kcm_networkmanagement_tray.desktop
%{_kde_services}/kded/networkmanagement.desktop
%{_kde_services}/kcm_networkmanagement.desktop
%{_kde_servicetypes}/networkmanagement_vpnuiplugin.desktop
%{_kde_servicetypes}/solidnetworkmanagernm09.desktop
%{_kde_servicetypes}/solidmodemmanagernm09.desktop

#--------------------------------------------------------------------

%define knmclient_major 4
%define libknmclient %mklibname knmclient %{knmclient_major}

%package -n %{libknmclient}
Summary: libknclient library used by %{name}
Group:  System/Libraries 

%description -n %{libknmclient}
libknclient library used by %{name}.

%files -n %{libknmclient}
%{_kde_libdir}/libknmclient.so.%{knmclient_major}*

#--------------------------------------------------------------------

%define libkinternals_major 4
%define libknminternals %mklibname knminternals %{libkinternals_major}

%package -n %{libknminternals}
Summary: libkninternals library used by %{name}
Group:   System/Libraries

%description -n %{libknminternals}
libkninternals library used by %{name}

%files -n %{libknminternals}
%{_kde_libdir}/libknminternals.so.%{libkinternals_major}*

#--------------------------------------------------------------------

%define libservice_major 4
%define libknmservice %mklibname knmservice %{libservice_major}

%package -n %{libknmservice}
Summary: libknservice library used by %{name}
Group:   System/Libraries

%description -n %{libknmservice}
libknservice library used by %{name}.

%files -n %{libknmservice}
%{_kde_libdir}/libknmservice.so.%{libservice_major}*

#--------------------------------------------------------------------

%define libsolidcontrolnm_major 4
%define libsolidcontrolnm %mklibname solidcontrolnm %{libsolidcontrolnm_major}

%package -n %{libsolidcontrolnm}
Summary: libsolidcontrol library for networkmanager 0.9
Group:   System/Libraries

%description -n %{libsolidcontrolnm}
libsolidcontrol library for networkmanager 0.9

%files -n %{libsolidcontrolnm}
%{_kde_libdir}/libsolidcontrolnm09.so.%{libsolidcontrolnm_major}*

#-------------------------------------------------------------------------

%define libsolidcontrolnm_ifaces_major 4
%define libsolidcontrolnm_ifaces %mklibname solidcontrolnmifaces %{libsolidcontrolnm_ifaces_major}

%package -n %{libsolidcontrolnm_ifaces}
Summary: libsolidcontrol library for networkmanager 0.9
Group:   System/Libraries

%description -n %{libsolidcontrolnm_ifaces}
libsolidcontrol library for networkmanager 0.9

%files -n %{libsolidcontrolnm_ifaces}
%{_kde_libdir}/libsolidcontrolnm09ifaces.so.%{libsolidcontrolnm_ifaces_major}*


#-------------------------------------------------------------------------

%define libknmui_major 4
%define libknmui %mklibname knmui %{libknmui_major}

%package -n %{libknmui}
Summary: libknui library used by %{name}
Group:   System/Libraries

%description -n %{libknmui}
libknui library used by %{name}.

%files -n %{libknmui}
%{_kde_libdir}/libknmui.so.%{libknmui_major}*

#--------------------------------------------------------------------

%define libsolidcontrolfuture_major 4
%define libsolidcontrolfuture %mklibname solidcontrolfuture %{libsolidcontrolfuture_major}

%package -n %{libsolidcontrolfuture}
Summary: solidcontrolfuture library used by %{name}
Group:   System/Libraries

%description -n %{libsolidcontrolfuture}
libsolidcontrolfuture library used by %{name}.

%files -n %{libsolidcontrolfuture}
%{_kde_libdir}/libsolidcontrolfuture.so.%{libsolidcontrolfuture_major}*

#--------------------------------------------------------------------

%define libknm_nm %mklibname knm_nm

%package -n %{libknm_nm}
Summary:	NetworkManager back-end for %{name}
Group:		System/Libraries

%description -n %{libknm_nm}
NetworkManager back-end for %{name}.

%files -n %{libknm_nm}
%{_kde_libdir}/libknm_nm.so

#--------------------------------------------------------------------
%define olddevelname %mklibname -d knetworkmanager
%define develname %mklibname -d networkmanagement

%package -n %{develname}
Summary: Development files for %{name}
Group:   Development/KDE and Qt
Requires: %{libknmclient} = %epoch:%{version}-%{release}
Requires: %{libknminternals} = %epoch:%{version}-%{release}
Requires: %{libknmservice} = %epoch:%{version}-%{release}
Requires: %{libknmui} = %epoch:%{version}-%{release}
Requires: %{libsolidcontrolfuture} = %epoch:%{version}-%{release}
Provides: knetworkmanager-devel = %epoch:%{version}-%{release}
Obsoletes: %{olddevelname} < 1:0.9.0.9
Conflicts: %{olddevelname} < 1:0.9.0.9


%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_kde_libdir}/libknmclient.so
%{_kde_libdir}/libknminternals.so
%{_kde_libdir}/libknmservice.so
%{_kde_libdir}/libknmui.so
%{_kde_libdir}/libsolidcontrolfuture.so
%{_kde_includedir}/solid/controlnm09/
%{_kde_libdir}/libsolidcontrolnm09.so
%{_kde_libdir}/libsolidcontrolnm09ifaces.so

#--------------------------------------------------------------------

%if %{openvn}

%package  plugins-openvpn
Summary:  OpenVPN support for knetworkmanager
Group:    Graphical desktop/KDE 
Conflicts: knetworkmanager-openvpn < 1:0.9.0.9
Obsoletes: knetworkmanager-openvpn < 1:0.9.0.9
Requires: networkmanager-openvpn

%description plugins-openvpn
%{summary}.

%files  plugins-openvpn
%{_kde_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde_datadir}/kde4/services/networkmanagement_openvpnui.desktop

%endif
#--------------------------------------------------------------------

%if %{novellvpn}

%package plugins-novellvpn
Summary: Vpnc support for knetworkmanager
Group:   Graphical desktop/KDE
# Does not exist in Mandriva
#Requires: networkmanager-novellvpn 

%description plugins-novellvpn
%{summary}.

%files  plugins-novellvpn
%{_kde_libdir}/kde4/networkmanagement_novellvpnui.so
%{_kde_datadir}/kde4/services/networkmanagement_novellvpnui.desktop

%endif

#--------------------------------------------------------------------

%if %{pptp}

%package  plugins-pptp
Summary:  Pptp support for knetworkmanager
Group:    Graphical desktop/KDE
Requires: networkmanager-pptp 
Conflicts: knetworkmanager-pptp < 1:0.9.0.9
Obsoletes: knetworkmanager-pptp < 1:0.9.0.9


%description  plugins-pptp
%{summary}.

%files  plugins-pptp
%{_kde_libdir}/kde4/networkmanagement_pptpui.so
%{_kde_datadir}/kde4/services/networkmanagement_pptpui.desktop

%endif

#--------------------------------------------------------------------

%if %{strongswan}

%package plugins-strongswan
Summary: strongSwan support for knetworkmanager
Group:  Graphical desktop/KDE 
# Does not exist in Mandriva
#Requires:	networkmanager-strongswan

%description plugins-strongswan
%{summary}.

%files  plugins-strongswan
%{_kde_libdir}/kde4/networkmanagement_strongswanui.so
%{_kde_datadir}/kde4/services/networkmanagement_strongswanui.desktop

%endif

#--------------------------------------------------------------------
%if %{vpnc}

%package  plugins-vpnc
Summary:  Vpnc support for knetworkmanager
Group:    Graphical desktop/KDE 
Requires: networkmanager-vpnc
Conflicts: knetworkmanager-vpnc < 1:0.9.0.9
Obsoletes: knetworkmanager-vpnc < 1:0.9.0.9

%description plugins-vpnc
%{summary}.

%files  plugins-vpnc
%{_kde_libdir}/kde4/networkmanagement_vpncui.so
%{_kde_datadir}/kde4/services/networkmanagement_vpncui.desktop

%endif
#-------------------------------------------------------------------
%if %{openconnect}
%package plugins-openconnect
Summary:  Openconnect support for %name
Group:    Graphical desktop/KDE
Requires: networkmanager-openconnect
Conflicts: knetworkmanager-vpnc < 1:0.9.0.9
Obsoletes: knetworkmanager-vpnc < 1:0.9.0.9

%description plugins-openconnect
Openconnect plugin for %name

%files plugins-openconnect
%_kde_libdir/kde4/networkmanagement_openconnectui.so
%_kde_services/networkmanagement_openconnectui.desktop

%endif
#--------------------------------------------------------------------


%prep
%setup -q 

%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
%makeinstall_std -C build

%if ! %{novellvpn}
rm %{buildroot}%{_kde_libdir}/kde4/networkmanagement_novellvpnui.so
rm %{buildroot}%{_kde_datadir}/kde4/services/networkmanagement_novellvpnui.desktop
%endif

%if ! %{pptp}
rm %{buildroot}%{_kde_libdir}/kde4/networkmanagement_pptpui.so
rm %{buildroot}%{_kde_datadir}/kde4/services/networkmanagement_pptpui.desktop
%endif

%if ! %{strongswan}
rm %{buildroot}%{_kde_libdir}/kde4/networkmanagement_strongswanui.so
rm %{buildroot}%{_kde_datadir}/kde4/services/networkmanagement_strongswanui.desktop
%endif

%if ! %{openvn}
rm %{buildroot}%{_kde_libdir}/kde4/networkmanagement_openvpnui.so
rm %{buildroot}%{_kde_datadir}/kde4/services/networkmanagement_openvpnui.desktop
%endif

%if ! %{vpnc}
rm %{buildroot}%{_kde_libdir}/kde4/networkmanagement_vpncui.so
rm %{buildroot}%{_kde_datadir}/kde4/services/networkmanagement_vpncui.desktop
%endif

%find_lang plasma_applet_networkmanagement solidcontrolnm09 libknetworkmanager knetworkmanager


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.0.9-3.mga4
+ Revision: 528520
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 fwang <fwang> 1:0.9.0.9-2.mga4
+ Revision: 445809
- fix wrong libname usage

* Sat Jun 22 2013 mikala <mikala> 1:0.9.0.9-1.mga4
+ Revision: 445627
- Rename package to match upstream name
- Update tarball to 0.9.0.9
- Rediff patch0
- Rename package to upstream name (knetworkmanager is long dead)

* Fri Feb 08 2013 neoclust <neoclust> 1:0.9.0.7-3.mga3
+ Revision: 395302
- New bugfix version

* Tue Jan 22 2013 fwang <fwang> 1:0.9.0.6-3.mga3
+ Revision: 390885
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 1:0.9.0.6-2.mga3
+ Revision: 356358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 mikala <mikala> 1:0.9.0.6-1.mga3
+ Revision: 335008
- Update tarball to 0.9.0.6
- Esthetic changes in spec

* Tue Oct 16 2012 mikala <mikala> 1:0.9.0.5-1.mga3
+ Revision: 306870
- Update tarball to 0.9.0.5

* Sun Sep 02 2012 mikala <mikala> 1:0.9.0.4-1.mga3
+ Revision: 287160
- Update tarball to 0.9.0.4
- Remove Readme.install.urpmi (useless now)
- Use pkgconfig() for BR

* Wed Apr 25 2012 mikala <mikala> 1:0.9-3.mga2
+ Revision: 233245
- Fix requires for the openconnect plugin ( mga #5601 )

  + juancho <juancho>
    - Updated to 0.9 final

* Sun Jan 22 2012 mikala <mikala> 1:0.9-1.20120122.1.mga2
+ Revision: 199590
- Update snapshot to 0.9 rc4

* Thu Dec 01 2011 mikala <mikala> 1:0.9-1.20111130.1.mga2
+ Revision: 174715
- Update tarball to 0.9.0 rc3

* Mon Oct 24 2011 mikala <mikala> 1:0.9-1.20111022.1.mga2
+ Revision: 157570
- Update git snapshot to 0.8.90 ( 0.9.0 rc1)
- add translations (source1 & patch1)
- fix files list
- use kde4 macros
- remove %%defattr() & %%clean section
- rediff patch0 so we can use %%apply_patches
- Update git snapshot
- remove %%defattr()
- Update git snapshot
- Update git tarball to 20110725

  + dlucio <dlucio>
    - Rebuild to void a segfault

* Sun Jul 17 2011 mikala <mikala> 1:0.9-1.20110717.1.mga2
+ Revision: 125272
- Update git snapshot to 20110717
- Add support for openconnect

* Wed Jun 15 2011 mikala <mikala> 1:0.9-1.20110614.1.mga2
+ Revision: 106760
- Update git snapshot for networkmanager 0.9 (use branch nm09)
- Fix file list
- Add mobile-broadband-info as a BR
- Update patch

* Mon May 16 2011 mikala <mikala> 1:0.9-1.20110516.1.mga1
+ Revision: 99304
- Update git tarball :
 - Fix a crash when editing connection from KCM modules ( kde #273256)

* Tue May 10 2011 mikala <mikala> 1:0.9-1.20110510.1.mga1
+ Revision: 97059
- Update tarball

* Thu Apr 14 2011 mikala <mikala> 1:0.9-1.20110414.1.mga1
+ Revision: 85300
- Update tarball
- Add a README.urpmi

* Wed Mar 30 2011 mikala <mikala> 1:0.9-1.20110329.1.mga1
+ Revision: 78965
- Update tarball to use git ( 20110329)
- Add patch0 to add version on  solidcontrolfuture library
- Fix requires on -devel package

* Tue Mar 29 2011 mikala <mikala> 1:0.9-0.20110314.3.mga1
+ Revision: 78856
- Fix Missing Requires on -devel package

* Tue Mar 29 2011 mikala <mikala> 1:0.9-0.20110314.2.mga1
+ Revision: 78834
- Enable pptp,vpnc,openvpn support

* Tue Mar 29 2011 mikala <mikala> 1:0.9-0.20110314.1.mga1
+ Revision: 78806
- Disable also pptp support until networkmanager-pptp is imported
- Remove BuildRoot
- Don't package vpn & openvn support for kdenetworkmanager until networkmanager plugins are available
- imported package knetworkmanager

